#global _phase	-a1

Name:		idm-console-framework
Version:	1.2.0
Release:	%mkrel 2
Summary:	Identity Management Console Framework
Group:		System/Libraries
License:	GPLv3
URL:		http://www.port389.org
# To create a tarball from a version tag:
# $ git archive \
#     --format=tar.gz \
#     --prefix idm-console-framework-<version>/ \
#     -o idm-console-framework-<version>.tar.gz \
#     <version tag>
Source:		https://github.com/dogtagpki/idm-console-framework/archive/v%{version}%{?_phase}/idm-console-framework-%{version}%{?_phase}.tar.gz

# To create a patch for all changes since a version tag:
# $ git format-patch \
#     --stdout \
#     <version tag> \
#     > idm-console-framework-VERSION-RELEASE.patch
# Patch: idm-console-framework-VERSION-RELEASE.patch

# autosetup
BuildRequires:	git-core

BuildRequires:	java-devel >= 1:1.8.0
BuildRequires:	ant >= 1.6.2
BuildRequires:	ldapjdk >= 4.20.0
BuildRequires:	jss >= 4.5.0-1

# Urge use of OpenJDK for runtime
Requires:	java >= 1:1.8.0
Requires:	ldapjdk >= 4.20.0
Requires:	jss >= 4.5.0-1

BuildArch:	noarch

%description
A Java Management Console framework used for remote server management.

%prep
%autosetup -n idm-console-framework-%{version}%{?_phase} -p 1 -S git

%build
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Dbuilt.dir=`pwd`/built \
    -Dclassdest=%{_javadir}

%install
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/release/jars/idm-console-* $RPM_BUILD_ROOT%{_javadir}

%files
%doc LICENSE
%{_javadir}/idm-console-base.jar
%{_javadir}/idm-console-mcc.jar
%{_javadir}/idm-console-mcc_en.jar
%{_javadir}/idm-console-nmclf.jar
%{_javadir}/idm-console-nmclf_en.jar


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1522823
- Mageia 8 Mass Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 1.2.0-1.mga7
+ Revision: 1364300
- new version: 1.2.0

* Thu Sep 20 2018 umeabot <umeabot> 1.1.17-8.mga7
+ Revision: 1278866
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 1.1.17-7.mga7
+ Revision: 1225486
- Bump version to 1.1.17 (sync with fc28)
- Add jss 4.4.1 requirement

* Fri Feb 19 2016 umeabot <umeabot> 1.1.14-2.mga6
+ Revision: 969555
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 spuhler <spuhler> 1.1.14-1.mga6
+ Revision: 869319
- upgrade to vers. 1.1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-6.mga6
+ Revision: 742080
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-5.mga5
+ Revision: 680465
- Mageia 5 Mass Rebuild

* Thu Jan 02 2014 dmorgan <dmorgan> 1.1.7-4.mga4
+ Revision: 563975
- Fix jss4.jar location

* Fri Oct 18 2013 umeabot <umeabot> 1.1.7-3.mga4
+ Revision: 506006
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.7-2.mga3
+ Revision: 354254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 spuhler <spuhler> 1.1.7-1.mga3
+ Revision: 311351
- changed group to System/Libraries from System Environment/Libaries
- rearranged spec file
  added the path of jss4.jar for building
- imported package idm-console-framework


* Tue Jun 21 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-2
- using new upstream git repo at fedorahosted.org
- git tag idm-console-framework-1.1.7
- Use DefaultTopologyPlugin if topologyplugin not found in the DS
- Bug 706472 - [console] java exception throw in UI, but user gets created
- Bug 706258 - ACI Editor dialog flickers

* Tue Mar 29 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-1
- The 1.1.7 release
- Bug 158926 - Unable to install CA certificate when using hardware token
-             ( LunaSA )
- Bug 622436 - Removal of Security:domestic from Console
- Bug 229699 - objectclass without parent causes StringIndexOutOfBounds in console
- Bug 583652 - Console caches magic numbers instead of DNA-generated values

* Wed Feb 23 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.6-1
- The 1.1.6 release
- Bug: 594939 - ACI editing dialog initial size is not big enough to display
- Bug 151705 - Need to update Console Cipher Preferences with new ciphers
- fix fourth step of cert wizard for installing cert
- Bug 668950 - Add posixGroup support to Console
- Bug 583652 - Console caches magic numbers instead of DNA-generated values

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May  4 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- The 1.1.5 release - added code to deal with LDAPv3 escape sequences

* Thu Apr 15 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.4-1
- The 1.1.4 release - just a few bug fixes

* Fri Dec 18 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-3
- Excluding PPC for EPEL builds as there is not openjdk there
- change url to port389.org

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-1
- this is the 1.1.3 release
- use the epoch with the java-devel version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  2 2008 Rich Megginson <rmeggins@redhat.com> 1.1.2-1
- numerous fixes for threading issues and help for debugging and eclipse

* Tue Apr 15 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-3
- use java > 1.5.0 for the requirements
- install jar files with mode 644

* Wed Jan  9 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-1
- fix rpmlint issues
- changed license from LGPL to LGPLv2
- added explicit requires for java-1.7.0-icedtea
- added LICENSE for doc

* Wed Dec 19 2007 Rich Megginson <rmeggins@redhat.com> 1.1.0-2
- for the fedora ds 1.1 release

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation (based on old fedora-idm-console package).
